package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.UnitDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UnitDOMapper {
    int deleteByPrimaryKey(Integer id);

    // 插入并返回 id
    int insert(UnitDO record);

    // 插入并返回 id
    int insertSelective(UnitDO record);

    UnitDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UnitDO record);

    int updateByPrimaryKey(UnitDO record);

    UnitDO selectByTitle(String title);

    List<UnitDO> selectUnitDOList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize);

    Integer selectUnitDOListCount();

    List<UnitDO> selectByUnitName(@Param("unitName") String unitName);
}